<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.0
 *
 * Copyright (C) 2006-2014  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");
if (!file_exists($root . REP . "/inc/plan_maj.inc.php")) header("Location: index.php");

include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_cli.inc.php");
include_once("../inc/fic_co.inc.php");
include_once("../inc/fic_cocl.inc.php");
include_once("../inc/fic_do.inc.php");
include_once("../inc/fic_droits.inc.php");
include_once("../inc/fic_fici.inc.php");
include_once("../inc/fic_hum.inc.php");
include_once("../inc/fic_int.inc.php");
include_once("../inc/fic_ot.inc.php");
include_once("../inc/fic_prm.inc.php");
include_once("../inc/fic_st.inc.php");
include_once("../inc/fic_statut.inc.php");
include_once("../inc/fic_tec.inc.php");
include_once("../inc/fic_tra.inc.php");
include_once("../inc/fic_txt.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_time.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/func_txtcm.inc.php");
include_once("../inc/func_mail.inc.php");
include_once("../classes/phpmailer/class.phpmailer.php");
include_once("../classes/phpmailer/class.smtp.php");
include_once("../inc/mail.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = @$_POST["titre"];

$datedep = datetomysql(@$_POST["datedepf"]);
$datefin = datetomysql(@$_POST["datefinf"]);
$freq = str_majuscules(@$_POST["freq"]);
$tab_joura = @$_POST["joura"];
$hrdv = @$_POST["hrdv"];
if ($hrdv <> "")
    $hrdv .= ":00";
$dureem = intval(@$_POST["dureem"]);
$genpla = intval(@$_POST["genpla"]);
$mint = intval(@$_POST["mint"]);

$codetec = "-1";
if (isset($_POST["codetec"]))
    $codetec = str_majuscules($_POST["codetec"]);
$codecat = str_majuscules(@$_POST["codecat"]);
$codeman = str_majuscules(@$_POST["codeman"]);
$codeocli = str_majuscules(@$_POST["codeocli"]);
$codeext = str_majuscules(@$_POST["codeext"]);
$codeage = str_majuscules(@$_POST["codeage"]);
$codedo = str_majuscules(@$_POST["codedo"]);
$codecocl = str_majuscules(@$_POST["codecocl"]);
$rephnc = str_majuscules(@$_POST["lsthnc"]);
$repded = str_majuscules(@$_POST["lsttded"]);
$codecli = str_majuscules(@$_POST["codecli"]);
$ddeur = str_majuscules(@$_POST["ddeur"]);
$site = @$_POST["idsite"];
$codeorig = str_majuscules(@$_POST["codeorig"]);
$codestatut = str_majuscules(@$_POST["codestatut"]);
$codelieu = str_majuscules(@$_POST["codelieu"]);
$urg = @$_POST["urgence"];
$mat = @$_POST["mat"];
$pbm = @$_POST["pbm"];
$gar = intval(@$_POST["gar"]);

$fgar = @$_POST["fgar"];
if ($fgar == "") // Si pas de référence facture saisie, pas sous garantie
    $gar = 0;

$codeages = str_majuscules(@$_POST["agesite"]);
if ($codeages == "-1") // Si on a choisi "agence gestionnaire du compte", on donne la valeur du gestionnaire de l'intervention
    $codeages = $codeage;

$publique = intval(@$_POST["publique"]);
if (($publique <> 0) AND ($publique <> 1))
    $publique = 0;

$tab_tecaff = [];
if (isset($_POST["tecaff"]))
    $tab_tecaff = $_POST["tecaff"];

$codeuser = @$_SESSION["code_log"];

$msg = "";
$contrat = "";
$ncontrat = "";
$url_cocl = "";
$report_temps = FALSE;
$retourliste = TRUE;
$pbm_enrintp = FALSE;

// Récupération du paramètre de fréquence
$row = lit_enr_per($freq);
if (is_array($row))
    extract($row);
else
    $pbm_enrintp = TRUE;

$datedebut = "";
// On calcule le bon jour de la date de départ (pour exclure les jours non autorisés)
if ($pbm_enrintp == FALSE) {
    $njour_dep = njour_semaine($datedep);
    $jourok = FALSE;
    while ($jourok == FALSE) {
        foreach ($tab_joura as $value) {
            if ($njour_dep == $value) {
                $datedebut = $datedep;
                $jourok = TRUE;
            }
        }
        if ($jourok == FALSE) {
            $datedep = ajoute_un_jour_date($datedep);
            $njour_dep = njour_semaine($datedep);
        }
    }

    // On crée le tableau des dates pour la génération des interventions
    if ($datedebut <> "") {
        $tab_dates = [];
        $tab_dates[] = $datedebut;
        $datesuiv = nouv_date_plus_jours($datedebut, $per_nbj);

        // Si la date suivante est bien dans la fourchette demandée, on continue
        $njour = njour_semaine($datesuiv);
        $fini = FALSE;
        while ($fini == FALSE) {
            if (comp_date($datesuiv, $datefin) == TRUE) {
                $jourok = FALSE;
                while ($jourok == FALSE) {
                    foreach ($tab_joura as $value) {
                        if ($njour == $value) {
                            $tab_dates[] = $datesuiv;
                            $datesuiv = nouv_date_plus_jours($datesuiv, $per_nbj);
                            $jourok = TRUE;
                        }
                    }
                    if ($jourok == FALSE) {
                        $datesuiv = ajoute_un_jour_date($datesuiv);
                        $njour = njour_semaine($datesuiv);
                    }
                }
            } else
                $fini = TRUE;
        }
    }

    if (count($tab_dates) > 0) {
        $msg = "Intervention";
        if ((count($tab_dates) > 1) AND ($mint == 0))
            $msg .= "s";
        $msg .= " : <br /><br />";

        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

        switch ($mint) {
            // Autant d'interventions que de RDV
            case 0 :
                foreach ($tab_dates as $value) {
                    $codei = crecode("I", FALSE);

                    // données traçabilité
                    $titre_tra = _("création de l'intervention");
                    $desc_tra_default = _("création de l'intervention");
                    $desc_tra_default .= chr(13) . chr(10);
                    $desc_tra_default .= $detailsaisi;

                    $rech = "SELECT COUNT(*) FROM `" . TBINT . "` WHERE `int_code` = '$codei'";
                    $nbres = $db->get_var($rech);
                    if ($nbres == 0) {
                        // On crée l'intervention
                        $rech2 = "INSERT INTO `" . TBINT . "`";
                        $rech2 .= " (int_datecrea,int_codecrea,int_datemod,int_codemod,int_datedde,int_code,int_codecat,int_codeext,int_codeman,int_codeocli,int_codeage,int_codedo,";
                        $rech2 .= "int_codecli,int_ddeur,int_codecocl,int_codeorig,int_codestatut,int_codelieu,int_urg,int_datefinp,";
                        $rech2 .= "int_mat,int_pbm,int_gar,int_fgar,int_codetec,int_durees,";
                        $rech2 .= "int_idsite,int_codeages)";
                        $rech2 .= " VALUES";
                        $rech2 .= " ('$datea','$codeuser','$datea','$codeuser','$value','$codei','$codecat','" . $db->escape($codeext) . "','" . $db->escape($codeman) . "','" . $db->escape($codeocli) . "','$codeage','$codedo','$codecli',";
                        $rech2 .= "'$ddeur','$codecocl','$codeorig','$codestatut','$codelieu','$urg','$datefinp','" . $db->escape($mat) . "',";
                        $rech2 .= "'" . $db->escape($pbm) . "','$gar','$fgar','$codetec','$durees','$site','$codeages')";

                        $db->query($rech2);

                        // On crée le répertoire de stockage des pièces jointes de l'intervention
                        $mess_err = check_fic_int($codei, FALSE);

                        // Ajout traçabilité
                        $desc_tra = $desc_tra_default;
                        add_trace(1, $codei, "CRE", $titre_tra, $desc_tra, FALSE);

                        // On affecte les techniciens
                        affecte_tec_int("add", $tab_tecaff, $codei, $codetec, FALSE);

                        // Ajout traçabilité techniciens
                        if ($tab_tecaff[0] <> '-1') {
                            $desc_tra = "";
                            if (count($tab_tec_diff) > 0) {
                                foreach ($tab_tec_diff as $key => $value2) {
                                    if (trim($desc_tra) == "")
                                        $desc_tra = _("Affectation des techniciens");
                                    $rech2 = "SELECT tec_nom, tec_prenom FROM `" . TBTEC . "` WHERE `tec_code` = '$key'";
                                    $row2 = $db->get_row($rech2, ARRAY_A);
                                    if ($row2)
                                        extract($row2);
                                    $desc_tra .= chr(13) . chr(10) . "." . $tec_prenom . " " . $tec_nom . " ajouté";

                                }
                            }
                            if (trim($desc_tra) == "")
                                add_trace(1, $codei, "CREA", $titre_tra, $desc_tra, FALSE);
                        }

                        // On ajoute le RDV
                        $rech2 = "INSERT INTO `" . TBRDV . "`";
                        $rech2 .= " (rdv_datecrea,rdv_codecrea,rdv_datemod,rdv_codemod,rdv_typrat,rdv_coderat,rdv_date,rdv_codelieu,";
                        $rech2 .= "rdv_heure,rdv_dureem,rdv_nivurg)";
                        $rech2 .= " VALUES";
                        $rech2 .= " ('$datea','$codeuser','$datea','$codeuser','1','$codei','$value','$codelieu',";
                        $rech2 .= "'$hrdv','$dureem','$urg')";

                        $db->query($rech2);

                        // Mise à jour sur le planning (si demandé)
                        if ($genpla == 1) {
                            $idrdv = $db->insert_id;

                            // On n'a pas choisi "n'importe quel technicien"
                            // => On balaye le tableau des techniciens affectés et on enregistre
                            if ($tab_tecaff[0] <> '-1') {
                                $titre = 'INTERVENTION ' . $codei;
                                $detail = "matériel :" . chr(13) . chr(10) . $mat . chr(13) . chr(10) . chr(13) . chr(10) . "Travail à effectuer :" . chr(13) . chr(10) . $pbm;

                                foreach ($tab_tecaff as $value2) {
                                    // création évènement
                                    $rech3 = "INSERT INTO `" . TBPEVT . "`";
                                    $rech3 .= " (pevt_datecrea,pevt_codecrea,pevt_datemod,pevt_codemod,pevt_gest,pevt_typdest,pevt_dest,";
                                    $rech3 .= "pevt_typrat,pevt_coderat,pevt_idrdv,pevt_date,pevt_heure,";
                                    $rech3 .= "pevt_dureem,pevt_titre,pevt_detail,pevt_codelieu,pevt_codecat,pevt_nivurg) VALUES";
                                    $rech3 .= " ('$datea','$codeuser','$datea','$codeuser','$codeuser','1','$value2',";
                                    $rech3 .= "'1','$coderat','$idrdv','$value','$hrdv',";
                                    $rech3 .= "'$dureem','" . $db->escape($titre) . "','" . $db->escape($detail) . "','$codelieu','$codecat','$urg')";

                                    $db->query($rech3);

                                    $desc_tra = _("Ajout d'un évènement planning");
                                    $desc_tra .= chr(13) . chr(10);
                                    $desc_tra .= "(" . $dest . " : "._("le")." " . datetolocal($value) . " "._("à")." " . substr($hrdv, 0, 5) . ")";
                                    add_trace($typrat, $coderat, "CREP", $titre_tra, $desc_tra, FALSE);

                                }
                            }
                        }

                        $msg .= $codei;
                        if (($genpla == 1) AND ($tab_tecaff[0] <> '-1'))
                            $msg .= ' ('._("Planning généré").')';
                        $msg .= "<br />";
                    }
                    /*
                        if ($retourliste == TRUE)
                        {
                            $pcli=FALSE;
                            // Envoi d'email vers le client
                            if ($prev==0)
                            {
                                // On envoie uniquement si l'envoi avec pièce jointe n'a pas déjà été demandé
                                if ($enrmail==FALSE)
                                    envoi_mail("","Mise en place d'une nouvelle intervention (".$codei.")","int","cre","xxx","cli",$codei,"","",TRUE);
                            }
                            else
                            {
                                if ($prev<>4) // Le niveau 4 est "Ne pas prévenir"
                                {
                                    $pcli=TRUE;
                                    $txtcorps=cre_corps_txtc("int","cre","xxx","cli",$codei,"","");
                                    $_SESSION["txt"] = $txtcorps;
                                }
                                // Envoi d'email vers le webmaster
                                envoi_mailwm("","Mise en place d'une nouvelle intervention (".$codei.")","int","cre","xxx","cli",$codei,"","");
                            }

                            // Envoi d'email vers le donneur d'ordres
                            if ((@$_SESSION["niv_log"] == 7) OR (@$_SESSION["niv_log"] == 6))
                                envoi_mail("","Nouvelle intervention","int","cre","xxx","do",$codei,"","",FALSE);

                            // Envoi d'email vers l'agence (Si pas créé par une agence)
                            if ((@$_SESSION["niv_log"] <> 4) AND (@$_SESSION["niv_log"] <> 3))
                                envoi_mail("","Nouvelle intervention","int","cre","xxx","age",$codei,"","",FALSE);
                            else // Envoi email si créé par une agence ou un technicien agence
                            {
                                // Si saisi par autre agence que celle gérant l'intervention ou le site
                                if (($_SESSION["code_age"]<>$codeage) OR (($_SESSION["code_age"]<>$codeages) AND ($site>0)))
                                    envoi_mail("","Nouvelle intervention","int","cre","xxx","age",$codei,"","",FALSE);
                            }

                            // Envoi d'email vers le technicien responsable (Si pas créé par lui)
                            if (($codetec<>"") AND ($codetec<>"-1"))
                            {
                                if ((@$_SESSION["niv_log"] <> 3) OR ((@$_SESSION["niv_log"] == 3) AND (@$_SESSION["code_log"] <> $codetec)))
                                    envoi_mail("","Une intervention vous a été affectée","int","cre","xxx","tec",$codei,"","",FALSE);
                            }

                            // Envoi d'email vers le centre de gestion (Si pas créé par le CDG)
                            if (@$_SESSION["niv_log"] <> 5)
                                envoi_mail("","Nouvelle intervention","int","cre","xxx","cdg",$codei,"","",FALSE);
                        }
                        */
                }
                break;

            // Une intervention avec tous les RDV
            default :
                $codei = crecode("I", FALSE);
                $msg .= $codei;

                // données traçabilité
                $titre_tra = _("création de l'intervention");
                $desc_tra_default = _("création de l'intervention");
                $desc_tra_default .= chr(13) . chr(10);
                $desc_tra_default .= $detailsaisi;

                $rech = "SELECT COUNT(*) FROM `" . TBINT . "` WHERE `int_code` = '$codei'";
                $nbres = $db->get_var($rech);
                if ($nbres == 0) {
                    // On crée l'intervention
                    $rech2 = "INSERT INTO `" . TBINT . "`";
                    $rech2 .= " (int_datecrea,int_codecrea,int_datemod,int_codemod,int_datedde,int_code,int_codecat,int_codeext,int_codeman,int_codeocli,int_codeage,int_codedo,";
                    $rech2 .= "int_codecli,int_ddeur,int_codecocl,int_codeorig,int_codestatut,int_codelieu,int_urg,int_datefinp,";
                    $rech2 .= "int_mat,int_pbm,int_gar,int_fgar,int_codetec,int_durees,";
                    $rech2 .= "int_idsite,int_codeages)";
                    $rech2 .= " VALUES";
                    $rech2 .= " ('$datea','$codeuser','$datea','$codeuser','$value','$codei','$codecat','" . $db->escape($codeext) . "','" . $db->escape($codeman) . "','" . $db->escape($codeocli) . "','$codeage','$codedo','$codecli',";
                    $rech2 .= "'$ddeur','$codecocl','$codeorig','$codestatut','$codelieu','$urg','$datefinp','" . $db->escape($mat) . "',";
                    $rech2 .= "'" . $db->escape($pbm) . "','$gar','$fgar','$codetec','$durees','$site','$codeages')";

                    $db->query($rech2);

                    // On crée le répertoire de stockage des pièces jointes de l'intervention
                    $mess_err = check_fic_int($codei, FALSE);

                    // Ajout traçabilité
                    $desc_tra = $desc_tra_default;
                    add_trace(1, $codei, "CRE", $titre_tra, $desc_tra, FALSE);

                    // On affecte les techniciens
                    affecte_tec_int("add", $tab_tecaff, $codei, $codetec, FALSE);

                    // Ajout traçabilité techniciens
                    if ($tab_tecaff[0] <> '-1') {
                        $desc_tra = "";
                        if (count($tab_tec_diff) > 0) {
                            foreach ($tab_tec_diff as $key => $value) {
                                if (trim($desc_tra) == "")
                                    $desc_tra = _("Affectation des techniciens");
                                $rech2 = "SELECT tec_nom, tec_prenom FROM `" . TBTEC . "` WHERE `tec_code` = '$key'";
                                $row2 = $db->get_row($rech2, ARRAy_A);
                                if ($row2)
                                    extract($row2);
                                $desc_tra .= chr(13) . chr(10) . "." . $tec_prenom . " " . $tec_nom . " "._("ajouté");

                            }
                        }
                        if (trim($desc_tra) == "")
                            add_trace(1, $codei, "CREA", $titre_tra, $desc_tra, FALSE);
                    }

                    // On crée tous les RDV de cette intervention
                    foreach ($tab_dates as $value) {
                        // On ajoute le RDV
                        $rech2 = "INSERT INTO `" . TBRDV . "`";
                        $rech2 .= " (rdv_datecrea,rdv_codecrea,rdv_datemod,rdv_codemod,rdv_typrat,rdv_coderat,rdv_date,rdv_codelieu,";
                        $rech2 .= "rdv_heure,rdv_dureem,rdv_nivurg)";
                        $rech2 .= " VALUES";
                        $rech2 .= " ('$datea','$codeuser','$datea','$codeuser','1','$codei','$value','$codelieu',";
                        $rech2 .= "'$hrdv','$dureem','$urg')";

                        $db->query($rech2);

                        // Mise à jour sur le planning (si demandé)
                        if ($genpla == 1) {
                            $idrdv = $db->insert_id;

                            // On n'a pas choisi "n'importe quel technicien"
                            // => On balaye le tableau des techniciens affectés et on enregistre
                            if ($tab_tecaff[0] <> '-1') {
                                $titre = 'INTERVENTION ' . $codei;
                                $detail = "matériel :" . chr(13) . chr(10) . $mat . chr(13) . chr(10) . chr(13) . chr(10) . "Travail à effectuer :" . chr(13) . chr(10) . $pbm;

                                foreach ($tab_tecaff as $value2) {
                                    // création évènement
                                    $rech3 = "INSERT INTO `" . TBPEVT . "`";
                                    $rech3 .= " (pevt_datecrea,pevt_codecrea,pevt_datemod,pevt_codemod,pevt_gest,pevt_typdest,pevt_dest,";
                                    $rech3 .= "pevt_typrat,pevt_coderat,pevt_idrdv,pevt_date,pevt_heure,";
                                    $rech3 .= "pevt_dureem,pevt_titre,pevt_detail,pevt_codelieu,pevt_codecat,pevt_nivurg) VALUES";
                                    $rech3 .= " ('$datea','$codeuser','$datea','$codeuser','$codeuser','1','$value2',";
                                    $rech3 .= "'1','$coderat','$idrdv','$value','$hrdv',";
                                    $rech3 .= "'$dureem','" . $db->escape($titre) . "','" . $db->escape($detail) . "','$codelieu','$codecat','$urg')";

                                    $db->query($rech3);

                                    $desc_tra = _("Ajout d'un évènement planning");
                                    $desc_tra .= chr(13) . chr(10);
                                    $desc_tra .= "(" . $dest . " : "._("le")." " . datetolocal($value) . " "._("à")." " . substr($hrdv, 0, 5) . ")";
                                    add_trace($typrat, $coderat, "CREP", $titre_tra, $desc_tra, FALSE);
                                }
                            }
                        }

                        /*
                        if ($retourliste == TRUE)
                        {
                            $pcli=FALSE;
                            // Envoi d'email vers le client
                            if ($prev==0)
                            {
                                // On envoie uniquement si l'envoi avec pièce jointe n'a pas déjà été demandé
                                if ($enrmail==FALSE)
                                    envoi_mail("","Mise en place d'une nouvelle intervention (".$codei.")","int","cre","xxx","cli",$codei,"","",TRUE);
                            }
                            else
                            {
                                if ($prev<>4) // Le niveau 4 est "Ne pas prévenir"
                                {
                                    $pcli=TRUE;
                                    $txtcorps=cre_corps_txtc("int","cre","xxx","cli",$codei,"","");
                                    $_SESSION["txt"] = $txtcorps;
                                }
                                // Envoi d'email vers le webmaster
                                envoi_mailwm("","Mise en place d'une nouvelle intervention (".$codei.")","int","cre","xxx","cli",$codei,"","");
                            }

                            // Envoi d'email vers le donneur d'ordres
                            if ((@$_SESSION["niv_log"] == 7) OR (@$_SESSION["niv_log"] == 6))
                                envoi_mail("","Nouvelle intervention","int","cre","xxx","do",$codei,"","",FALSE);

                            // Envoi d'email vers l'agence (Si pas créé par une agence)
                            if ((@$_SESSION["niv_log"] <> 4) AND (@$_SESSION["niv_log"] <> 3))
                                envoi_mail("","Nouvelle intervention","int","cre","xxx","age",$codei,"","",FALSE);
                            else // Envoi email si créé par une agence ou un technicien agence
                            {
                                // Si saisi par autre agence que celle gérant l'intervention ou le site
                                if (($_SESSION["code_age"]<>$codeage) OR (($_SESSION["code_age"]<>$codeages) AND ($site>0)))
                                    envoi_mail("","Nouvelle intervention","int","cre","xxx","age",$codei,"","",FALSE);
                            }

                            // Envoi d'email vers le technicien responsable (Si pas créé par lui)
                            if (($codetec<>"") AND ($codetec<>"-1"))
                            {
                                if ((@$_SESSION["niv_log"] <> 3) OR ((@$_SESSION["niv_log"] == 3) AND (@$_SESSION["code_log"] <> $codetec)))
                                    envoi_mail("","Une intervention vous a été affectée","int","cre","xxx","tec",$codei,"","",FALSE);
                            }

                            // Envoi d'email vers le centre de gestion (Si pas créé par le CDG)
                            if (@$_SESSION["niv_log"] <> 5)
                                envoi_mail("","Nouvelle intervention","int","cre","xxx","cdg",$codei,"","",FALSE);
                        }
                        */
                    }
                }
                break;
        }
        $db->disconnect();

        $msg .= "<br />"._("Générée");
        if ($mint == 0) {
            if (count($tab_dates) > 1)
                $msg .= "s";
        } else {
            if (($genpla == 1) AND ($tab_tecaff[0] <> '-1'))
                $msg .= " ("._("Planning généré").")";
            $msg .= "<br />";
        }

        // Remise à niveau type client
        upd_nivcli($codecli, TRUE);
    }
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Fiche Intervention"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            <?PHP
            if ($retourliste == FALSE)
                echo "warn_txt('" . str_escape($msg) . "');";
            ?>
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>
<?php include_once("../inc/entete.inc.php"); ?>
<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>

<p align="center">&nbsp;</p>
<?PHP
if ($retourliste == FALSE) {
    if ($codestatut <> "CLOT")
        aff_ret_idx_man($td, $lnk_int_lst, _("Retour à la liste"), TRUE);
    else
        aff_ret_idx_man($td, $lnk_int_lst, _("Retour à la liste"), FALSE);
} else {
    if (@$_SESSION["niv_log"] <> 2)
        pop_ret_auto($msg, 'ok', $lnk_int_lst);
    else
        pop_ret_auto($msg, 'ok', "index.php?tl=1");
}
include_once("pied.php");
?>
</body>
</html>